package me.unurled.sacredrealms.sr.components.entity;

import java.util.UUID;
import org.bukkit.entity.Entity;
import org.jetbrains.annotations.NotNull;

public class SREntity {
  private final UUID uuid;
  private double health = 100;
  private Long experience = 0L;

  public SREntity(@NotNull Entity e) {
    uuid = e.getUniqueId();
  }

  public UUID getUuid() {
    return uuid;
  }

  public Long getExperience() {
    return experience;
  }

  public void setExperience(Long experience) {
    this.experience = experience;
  }

  public double getHealth() {
    return health;
  }

  public void setHealth(double health) {
    this.health = health;
  }
}
