package me.unurled.sacredrealms.sr.gui.attributes;

import static me.unurled.sacredrealms.sr.utils.Component.comp;

import me.unurled.sacredrealms.sr.components.attributes.Attribute;
import org.bukkit.Material;
import org.bukkit.entity.Player;
import org.bukkit.inventory.ItemStack;
import org.bukkit.inventory.meta.SkullMeta;
import xyz.xenondevs.invui.gui.Gui;
import xyz.xenondevs.invui.gui.Gui.Builder.Normal;
import xyz.xenondevs.invui.item.Item;
import xyz.xenondevs.invui.item.impl.SimpleItem;

public class AttributesGUI {

  public static Gui createGui(Player target) {
    ItemStack t = new ItemStack(Material.PLAYER_HEAD);
    SkullMeta tMeta = (SkullMeta) t.getItemMeta();
    tMeta.setOwningPlayer(target);
    tMeta.displayName(comp(target.getName()));
    t.setItemMeta(tMeta);
    Item head = new SimpleItem(t);
    Normal gui =
        Gui.normal()
            .setStructure(".........", "....h....", ".........", ".0123456.")
            .addIngredient('h', head);
    for (int i = 0; i < Attribute.values().length; i++) {
      Item item = new AttributeItem(Attribute.values()[i], target);
      gui.addIngredient((char) (i + '0'), item);
    }
    return gui.build();
  }
}
