package me.unurled.sacredrealms.sr.utils;

import net.kyori.adventure.text.TextComponent;
import net.kyori.adventure.text.minimessage.MiniMessage;
import org.jetbrains.annotations.NotNull;

public class Component {

  public static final String NOT_PLAYER = "<red>You must be a player to use this command.";
  public static final String NO_PERMISSION = "<red>You do not have permission to use this command.";
  private static MiniMessage miniMessage;

  private Component() {}

  public static net.kyori.adventure.text.@NotNull Component comp(String msg) {
    if (miniMessage == null) {
      miniMessage = MiniMessage.miniMessage();
    }
    return miniMessage.deserialize(msg);
  }

  public static net.kyori.adventure.text.@NotNull TextComponent textComp(String msg) {
    if (miniMessage == null) {
      miniMessage = MiniMessage.miniMessage();
    }
    return (TextComponent) miniMessage.deserialize(msg);
  }
}
